// Basic test of an IR sensor

// for medium range IR sensor define IRsensorPin as A1
// and for long range IR sensor use A0. 

#define IRsensorPin A0  // analog pin used to connect the IR sensor

uint16_t DN;    // variable holding the value read from the analog pin

void setup() {
  // Initialize serial and wait for port to open:
  Serial.begin(9600);
  
  // Switch ADC to Vref, where Vref is equal to 3.3V.
  analogReference(EXTERNAL);  // EXTERNAL 0, DEFAULT = 1, INTERNAL = 3
  
  // initialize the analog pin wired to the IR sensor as an input.
  pinMode(IRsensorPin, INPUT);

  // prints title with ending line break
  Serial.println("IR Sensor Test!");  
}

void loop() {
  DN = analogRead(IRsensorPin); // reads the value of the IR sensor (value between 0 and 1023)
  Serial.print(" ADC DN = ");
  Serial.println(DN);
  delay(1000);             // wait for a second
}
