// Basic Test of DC Motors
// Do not forget to plug in the motor battery
// Open Serial Monitor (last icon) to view test status
// http://learn.adafruit.com/adafruit-motor-shield/using-rc-servos
// http://www.csulb.edu/~hill/ee444/Labs/7%20Servo%20Lab.pdf

#include <Servo.h>
Servo servo1; // intantiate servo object "servo1"
const int center = 1500;

void setup(){
  //Initialize serial and wait for port to open:
  Serial.begin(9600);
  /*
  servo.attach(pin, min, max)
  pin: the number of the pin that the servo is attached to
  min: the pulse width, in microseconds, corresponding to the 
       minimum (0-degree) angle on the servo (defaults to 544)
  max: the pulse width, in microseconds, corresponding
       to the maximum (180-degree) angle on the servo (defaults to 2400)
  */
  servo1.attach(10,1100,1900);      // attaches the servo on pin 10 (servo 1) or pin 9 (servo 2)
  servo1.writeMicroseconds(center);
  delay(500);
}

void loop(){
  Serial.println("Servo test!");
  for(int pos = 1100; pos < 1900; pos += 2)
  { 
    // in steps of .2 degree
    servo1.writeMicroseconds(pos);
    delay(15); // waits 15ms for the servo to reach the position
  }
  
  for(int pos = 1900; pos > 1100; pos -= 2)
  {
    // in steps of 0.2 degree
    servo1.writeMicroseconds(pos);
    delay(15); // waits 15ms for the servo to reach the position
  }
  delay(500);
}
